unit TotalizadoresParciaisMFD;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFormTotalizadoresParaciaisMFD = class(TForm)
    Memo1: TMemo;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  type
        TParcial = record
        TPT: Array[0..15] of Array[0..13] of char;
        Separador:char;
        I: Array[0..14] of char;
        N: Array[0..14] of char;
        F: Array[0..14] of char;
        I_S: Array[0..14] of char;
        N_S: Array[0..14] of char;
        F_S: Array[0..14] of char;
        D: Array[0..14] of char;
        A: Array[0..14] of char;
        C: Array[0..14] of char;
        D_S: Array[0..14] of char;
        A_S: Array[0..14] of char;
        C_S: Array[0..14] of char;
        TotalizadorNSICMS: Array[0..27] of Array[0..13] of char;
        Sangria: Array[0..13] of char;
        Suprimento: Array[0..14] of char;
        DN: Array[0..14] of char;
        AN: Array[0..14] of char;
        CN: Array[0..14] of char;
        GT: Array[0..18]of char;
    end;


var
  FormTotalizadoresParaciaisMFD: TFormTotalizadoresParaciaisMFD;
  TotParcial:TParcial;

implementation

uses principal, funcoesapoio, declaracoes;


{$R *.dfm}

procedure TFormTotalizadoresParaciaisMFD.FormShow(Sender: TObject);
var i:integer;
begin
        conteudo:=#0; Resposta:=0;
        // Dados Última Redução MFD ------------------------------------------------------------------
        FormPrincipal.Statusbar1.Panels[0].Text:='Totalizadores Parciais MFD:'; WaitProcess;
        Resposta:=ECF_VerificaTotalizadoresParciaisMFD(Conteudo);
        CopyMemory(@TotParcial,@conteudo,889);
        FormPrincipal.Memo1.Lines.Add('Totalizadores Parciais MFD:'+inttostr(Resposta));
        VerificaRetornoFuncao(Resposta);
        Memo1.Clear;
        for i:=0 to 15 do Memo1.Lines.Add('Totalizador parcial tributado '+inttostr(i+1)+': '+TotParcial.tpt[i]);
        Memo1.Lines.add('Isento ICMS:'+ TotParcial.I);
        Memo1.Lines.add('Não tributado ICMS:'+ TotParcial.N);
        Memo1.Lines.add('Substituição tributária ICMS:'+ TotParcial.F);
        Memo1.Lines.add('Isento ISS:'+ TotParcial.I_S);
        Memo1.Lines.add('Não tributado ISS:'+ TotParcial.N_S);
        Memo1.Lines.add('Substituição tributária ISS:'+ TotParcial.F_S);
        Memo1.Lines.add('Desconto ICMS:'+ TotParcial.D);
        Memo1.Lines.add('Acréscimo ICMS:'+ TotParcial.A);
        Memo1.Lines.add('Cancelamento ICMS:'+ TotParcial.C);
        Memo1.Lines.add('Desconto ISS:'+ TotParcial.D_S);
        Memo1.Lines.add('Acréscimo ISS:'+ TotParcial.A_S);
        Memo1.Lines.add('Cancelamento ISS:'+ TotParcial.C_S);

        for i:=0 to 27 do Memo1.Lines.Add('Totalizador não sujeito ao ICMS '+inttostr(i+1)+': '+TotParcial.TotalizadorNSICMS[i]);
        Memo1.Lines.add('Sangria:'+ TotParcial.Sangria);
        Memo1.Lines.add('Suprimento:'+ TotParcial.Suprimento);
        Memo1.Lines.add('Desconto Não Fiscal:'+ TotParcial.DN);
        Memo1.Lines.add('Acréscimo Não Fiscal:'+ TotParcial.AN);
        Memo1.Lines.add('Cancelamento Não Fiscal:'+ TotParcial.CN);
        Memo1.Lines.add('GT:'+ TotParcial.GT);


end;

end.
